%define name		opensaml-java
%define version		1.0.1
%define release		3jpp
%define section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	Open Source Security Assertion Markup Language
License:	Apache-style License
Url:		http://www.opensaml.org/
Group:		Text Processing/Markup/XML
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	opensaml-java-1.0.1-src.tar.gz
## cvs -d:pserver:anoncvs@anoncvs.internet2.edu:/home/cvs/shibboleth login
## cvs -z3 -d:pserver:anoncvs@anoncvs.internet2.edu:/home/cvs/shibboleth export -r Rel_1_0_1 opensaml
Patch0:		opensaml-java-1.0.1-SAMLSignedObject.patch
BuildRequires:	ant >= 0:1.6
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  junit
BuildRequires:	jakarta-commons-logging
BuildRequires:	log4j
BuildRequires:	servlet
BuildRequires:	xalan-j2
BuildRequires:	xerces-j2-dom3
BuildRequires:	xml-security
Requires:	jakarta-commons-logging
Requires:	log4j
Requires:	servlet
Requires:	xalan-j2
Requires:	xerces-j2-dom3
Requires:	xml-security
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
OpenSAML is a set of open source Java and C++ libraries 
that are fully consistent with the SAML 1.0 and 1.1 CR 
specifications. 
Please see README.txt for patent claim issue.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}
# remove all binary libs
for f in $(find . -name "*.jar"); do
    mv $f $f.no
done

%patch0 -b .sav

%build
build-jar-repository -s -p endorsed \
dom3-xerces-j2 \
dom3-xml-commons-apis

build-jar-repository -s -p lib \
ant \
commons-logging \
junit \
log4j \
servlet \
xalan-j2 \
xml-security


#jug2 \

ant dist javadocs

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 dist/opensaml.jar \
		$RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
# create unprefixed and unversioned symlinks
(cd $RPM_BUILD_ROOT%{_javadir} 
for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done
)

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr doc/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}
cp doc/*.txt $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}/*.txt
%{_javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Fri Jul 22 2005 Ralph Apel <r.apel at r-apel.de> 0:1.0.1-3jpp
- Fix license and description 
- Include README and other doc/*.txt

* Thu Jul 21 2005 Ralph Apel <r.apel at r-apel.de> 0:1.0.1-2jpp
- Fix Url

* Thu Jul 21 2005 Ralph Apel <r.apel at r-apel.de> 0:1.0.1-1jpp
- First JPackage release
- Require dom3-xerces
